package com.rc.httpcore.vo.response;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * info
 *
 * @author ReiChin_
 */
public class MonitorVo implements Parcelable {

    public String app; // tp",
    public String streamId; // 440102004920000000010064_34020000001320000064",
    public String deviceID; // 440102004920000000010064",
    public String channelId; // 34020000001320000064",
    public String flv; // http://192.168.1.88:8230/rtp/440102004920000000010064_34020000001320000064.flv",
    public String ws_flv; // ws://192.168.1.88:8230/rtp/440102004920000000010064_34020000001320000064.flv",
    public String fmp4; // http://192.168.1.88:8230/rtp/440102004920000000010064_34020000001320000064.live.mp4",
    public String ws_fmp4; // ws://192.168.1.88:8230/rtp/440102004920000000010064_34020000001320000064.live.mp4",
    public String hls; // http://192.168.1.88:8230/rtp/440102004920000000010064_34020000001320000064/hls.m3u8",
    public String ws_hls; // ws://192.168.1.88:8230/rtp/440102004920000000010064_34020000001320000064/hls.m3u8",
    public String ts; // http://192.168.1.88:8230/rtp/440102004920000000010064_34020000001320000064.live.ts",
    public String ws_ts; // ws://192.168.1.88:8230/rtp/440102004920000000010064_34020000001320000064.live.ts",
    public String rtmp; // tmp://192.168.1.88:1935/rtp/440102004920000000010064_34020000001320000064",
    public String rtsp; // tsp://192.168.1.88:554/rtp/440102004920000000010064_34020000001320000064",
    public String rtc; // http://192.168.1.88:8230/index/api/webrtc?app=rtp&stream=440102004920000000010064_34020000001320000064&type=play",
    public String mediaServerId; // your_server_id",

    public MonitorVo(String app, String fmp4) {
        this.app = app;
        this.fmp4 = fmp4;
    }

    public MonitorVo() {
    }

    protected MonitorVo(Parcel in) {
        app = in.readString();
        streamId = in.readString();
        deviceID = in.readString();
        channelId = in.readString();
        flv = in.readString();
        ws_flv = in.readString();
        fmp4 = in.readString();
        ws_fmp4 = in.readString();
        hls = in.readString();
        ws_hls = in.readString();
        ts = in.readString();
        ws_ts = in.readString();
        rtmp = in.readString();
        rtsp = in.readString();
        rtc = in.readString();
        mediaServerId = in.readString();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(app);
        dest.writeString(streamId);
        dest.writeString(deviceID);
        dest.writeString(channelId);
        dest.writeString(flv);
        dest.writeString(ws_flv);
        dest.writeString(fmp4);
        dest.writeString(ws_fmp4);
        dest.writeString(hls);
        dest.writeString(ws_hls);
        dest.writeString(ts);
        dest.writeString(ws_ts);
        dest.writeString(rtmp);
        dest.writeString(rtsp);
        dest.writeString(rtc);
        dest.writeString(mediaServerId);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<MonitorVo> CREATOR = new Creator<MonitorVo>() {
        @Override
        public MonitorVo createFromParcel(Parcel in) {
            return new MonitorVo(in);
        }

        @Override
        public MonitorVo[] newArray(int size) {
            return new MonitorVo[size];
        }
    };
}
